@ECHO OFF

ECHO.
ECHO Installing Intel(R) ME 11.7 software components. Please wait...
ECHO.

CALL SetupME.exe -s
ECHO.

IF exist "C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IMSS\PrivacyIconClient.exe" (goto VPRO) ELSE (goto COMPLETE)


:VPRO
regedit /s AppAutoStartDefaultVal.reg > NUL

reg query HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run /F IMSS > NUL

if %errorlevel% == 0 (
reg DELETE HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run /V IMSS /F > NUL
)

schtasks /Create /F /TN "Intel-IMSS" /XML "IMSS.XML" > NUL


:COMPLETE
ECHO Installation completed.
ECHO.


:END